608
收录服务器
686
注册
41 822
玩家
TAB [1.8.x - 1.12.x]
编辑制表符上方的制表符页眉、页脚、玩家前缀(&A)
作 者 Wisky987
发布时间 2017年11月26日
支持核心 Spigot
原生版本
支持版本 1.8,1.9,1.10,1.11,1.12
点此下载

特点:

Bugee

  • 向玩家发送页眉/页脚
  • 为每个服务器使用不同的页眉/页脚
  • 动画页眉/页脚
  • 创建您自己的动画


布基特

  • 向玩家发送页眉/页脚
  • 在每个世界中使用不同的页眉/页脚
  • 玩家姓名标签中的可配置前缀/后缀(限制 16 个字符)
  • 选项卡中可配置的前缀/后缀(无字符限制)
  • 在表格列表和名称标签中使用不同的前缀/后缀
  • 每个世界的前缀/后缀
  • PlaceholderAPI 支持新功能:也支持关系占位符
  • 在选项卡中的连接栏旁边查看玩家的 ping
  • 启用/禁用插件的任何部分
  • 通过命令更改前缀/后缀
  • 自动对列表中的玩家进行排序
  • Vault 烫发!!!检查您的权限插件是否兼容https://docs.neolumia.com/vault/1.6.1/en/supported/permissions.html
  • 占位符可以用在页眉/页脚中,也可以用在前缀/后缀中!
  • 在玩家列表中使用您的 Essentials 的/nick
  • 动画页眉/页脚
  • 创建您自己的动画
  • 每个世界的玩家列表(可选)
  • 完全客户端,服务器端不受影响(带有团队和目标的记分板)(有利于与其他插件的兼容性)
  • 完全异步 - 插件不在主服务器线程中运行,因此不会导致服务器滞后
  • MySQL 支持(请阅读下文)。

未来

  • 1.13 发布时的支持
  • 罕见错误修复(Bukkit):选项卡未完全加载消息。
  • 非常罕见的错误修复(Bukkit):未设置标签后缀中的“空格”。


命令和权限:

  • 蹦极:
  • /btab reload (tab.reload)- 重新加载插件和配置

    Bukkit:
  • - /tab reload (tab.reload) -重新加载插件和配置
  • /tab group <group> tabprefix <prefix...> (tab.change) - 在选项卡列表中为组设置前缀
  • /tab group <group> tagprefix <prefix...> (tab.change) - 在组的名称标签中设置前缀
  • /tab group <group> tabsuffix <suffix...> (tab.change) - 在选项卡列表中为组设置后缀
  • /tab group <group> taguffix <suffix...> (tab.change) .. 好吧,你明白了
  • /tab player <玩家> tabprefix <前缀...>
  • /tab player <玩家> tagprefix <前缀...>
  • /tab player <玩家> tabsuffix <后缀...>
  • /tab 玩家 <玩家> 标签后缀 <后缀...>
  • /tab debug (tab.debug) - 显示有关您的内部信息,如果某些内容无法正常工作,这可能会有所帮助。

    权限tab.admin允许您执行所有命令。

MySQL:

MySQL 仅适用于 Bukkit/Spigot。

重要提示:
仅 MySQL 是一种设置前缀和后缀(对于制表符和标签)的方法。你不能用这个做其他配置。

MySQL模式下的前缀和后缀不能通过命令修改。它将在未来的更新中添加。

如何使用:将生成一个名为mysqlconfig.yml
的新文件。打开将MySQLenabled设置为true。您只需要设置MySQL服务器的信息。我建议重新启动服务器,但您也可以使用/tab reload命令。服务器的前缀/后缀现在使用 MySQL 而不是config.yml输入您的 MySQL 数据库并根据需要进行配置。



已知自己正在起诉:

总体而言:

  • 名称标签中的前缀和后缀不能超过 16 个字符(包括颜色代码)。如果您尝试使用更长的时间,插件会自动将它们减少到 16 个,以避免玩家立即与服务器断开连接。这是我的世界的限制。
  • 当玩家隐形时(例如使用药水),他的名字标签将保持可见这是minecraft 1.8.x客户端的bug,其他版本不受影响。
  • 当您使用任何更改配置的命令(添加/修改某人的前缀/后缀)时,配置中的所有注释都将消失。这是 Bukkit API 错误。
  • 使用NPC 的插件(例如Citizens或类似插件)可能会出现一些错误。

插件特定:

  • 当将LuckPerms与分配给玩家的每服务器组一起使用时,它有时会显示分配给不同服务器中的玩家的这看起来像是 LuckPerms API 错误。

兼容性:

插件适用于 1.8.x - 1.12.2。
将不会添加 1.7.x 支持。

Tab 需要Vault才能管理权限插件。

使用plugman或/reload命令重新加载此插件是安全的(如果/tab reload不够)。

您将遇到这些插件的兼容性问题:

  • SimpleAPI,注册相同的“/tab”命令

如果您发现更多不兼容的插件,请在讨论页面告诉我,我会将它们添加到此列表中。